package TreeSnatcher.Core;

import java.awt.Point;

public class Segment
{
	double slope;
	double straightness;
	Point innerPoint;
	Point outerPoint;
	int lengthRelevant;
	int pixelLength;
	boolean isOuterSegment;
	
	public Segment(Point innerPoint, Point outerPoint, int length, double slope) 
	{
		this.innerPoint = innerPoint;
		this.outerPoint = outerPoint;
		this.pixelLength = length;
		this.slope = slope;
	}
	
	public int getLength() { return this.pixelLength; }
	public double getSlope() { return this.slope; }
	public int getLengthRelevant() { return this.lengthRelevant; }
	public double getStraightness() { return this.straightness; }
}
